Get task status
GET
Get task status
Read status and metadata for a task. Poll this endpoint only when you are not using a stream.
GET
Get task status
Authorizations
Use Authorization: Bearer YOUR_AUTUMN_API_KEY.
Path Parameters
The task_id returned by POST /task or POST /task/start.
Example:
"8fab6f34"
Response
Task status.
Example:
"8fab6f34"
Example:
"Series A AI security companies"
Example:
"research"
A completed or stopped run reports plan; execute means the task is currently working.
Available options:
plan, execute, deleted Example:
"execute"
Available options:
plan, execute Example:
"execute"
Fine-grained state: idle, planning, executing, thinking. A finished task is idle.
Example:
"executing"
Example:
10
Suggested seconds to wait before polling status again.
Example:
5
Example:
"/task/8fab6f34"
Example:
"/task/8fab6f34/output"
Example:
"/task/8fab6f34/stream"